LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 02-24-2019, 12:33 AM   #1696
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,761

Original Poster
Rep: Reputation: Disabled

Quote:
Originally Posted by USUARIONUEVO View Post
pyxdg , is ADDED , today to slackware , remove it from git.
thanks, done!
 
Old 02-24-2019, 12:34 AM   #1697
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,761

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by BradReed View Post
The slackbuild for ProFont has a download link that points to
http://ponce.cc/slackware/sources/re...rofont-x11.zip

however, for some reason, the actual file is named "downloadfile.php?file=profont-x11.zip" and clicking on the link displays a funny image and text that reads, "OMG! You broke teh Interweb!"

So I think either the file in Ponce's repo needs to be renamed to profont-x11.zip or the download link should be http://ponce.cc/slackware/sources/re...rofont-x11.zip (possibly with some escapes or quoting) with instructions to rename it to work with the SlackBuild script.

I was able to grab the file. Just wanted to let Ponce know about the issue.
yep, my fault, I scripted fixing dowload links some time ago and that slipped...
thanks for reporting!

Last edited by ponce; 02-24-2019 at 12:40 AM.
 
1 members found this post helpful.
Old 02-24-2019, 12:40 AM   #1698
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,761

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by USUARIONUEVO View Post
Version in slackbuilds are too old for current.
You need to go with version 1.8.1 , modify version in script variable and builds ok.
Thanks also for this, pushed!
 
Old 02-24-2019, 08:27 AM   #1699
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,601

Rep: Reputation: Disabled
python3-PyYAML does not build due c code compilation issues (Even though its using setup.py...), I updated it to the current stable 3.13 and now it builds again.

http://pyyaml.org/download/pyyaml/PyYAML-3.13.tar.gz
 
Old 02-24-2019, 10:44 PM   #1700
chris.willing
Member
 
Registered: Jun 2014
Location: Brisbane, Australia
Distribution: Slackware,LFS
Posts: 549

Rep: Reputation: 334Reputation: 334Reputation: 334Reputation: 334
Quote:
Originally Posted by USUARIONUEVO View Post
Hi , i encounter opencv problem , it have python3=3.6 , then files goes to 3.6 not under 3.7 (python3 now is 3.7 branch.



I no understand , why not get branch , with something like this



Please , change at least 3.6 to 3.7 in to the fixed variable.

Thanks!
A change has been pushed to better address the different python versions/locations in both stable and current environments. It should be part of the next round of SBo updates.

chris
 
Old 02-25-2019, 12:58 PM   #1701
AlleyTrotter
Member
 
Registered: Jun 2002
Location: Coal Township PA
Distribution: Slackware64-14.2 (5.1.5) UEFI enabled (LFS-8.4 when Slackware becomes too easy)
Posts: 534

Rep: Reputation: 192Reputation: 192
openjdk

openjdk fails to build in current.
looking for jar or fastjar
these are not in the current build of gcc-8.3.0 and are required.

I would presume that openjdk6 and openjdk8 suffer the same consequence.

john

NOTE: using slackware64-current and Alien's Plasma5

Last edited by AlleyTrotter; 02-25-2019 at 01:03 PM. Reason: clarify the install of current
 
1 members found this post helpful.
Old 02-25-2019, 01:31 PM   #1702
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,761

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by AlleyTrotter View Post
openjdk fails to build in current.
looking for jar or fastjar
these are not in the current build of gcc-8.3.0 and are required.

I would presume that openjdk6 and openjdk8 suffer the same consequence.

john

NOTE: using slackware64-current and Alien's Plasma5
in alternative to gcc-java, not shipped anymore since gcc-7.x, you can install jdk to bootstrap openjdk...
then, when you have the openjdk package available, you can remove jdk and install that one.
 
Old 02-25-2019, 01:42 PM   #1703
AlleyTrotter
Member
 
Registered: Jun 2002
Location: Coal Township PA
Distribution: Slackware64-14.2 (5.1.5) UEFI enabled (LFS-8.4 when Slackware becomes too easy)
Posts: 534

Rep: Reputation: 192Reputation: 192
Quote:
Originally Posted by ponce View Post
in alternative to gcc-java, not shipped anymore since gcc-7.x, you can install jdk to bootstrap openjdk...
then, when you have the openjdk package available, you can remove jdk and install that one.
Do you mean the Oracle jdk?
Thanks john
 
Old 02-25-2019, 01:45 PM   #1704
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,761

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by AlleyTrotter View Post
Do you mean the Oracle jdk?
yes: that, Alien Bob's openjdk or gcc5 (in the repository -read its README-, still courtesy of Alien Bob) should do.

EDIT: in case it doesn't work, please try getting in touch with the openjdk{,6,8} maintainer.

Last edited by ponce; 02-25-2019 at 02:55 PM.
 
2 members found this post helpful.
Old 02-25-2019, 06:31 PM   #1705
brobr
Member
 
Registered: Oct 2003
Location: uk
Distribution: Slackware
Posts: 552

Rep: Reputation: 148Reputation: 148
SBo version for irqbalance (v1.0.9) crashed my -current system under load; upgrading to the more recent v1.5.0 of irqbalance does not.
 
Old 03-01-2019, 09:29 AM   #1706
luvr
Member
 
Registered: May 2005
Location: Boom - The Home Town of Tomorrowland, Belgium
Distribution: Slackware, Debian, Xubuntu
Posts: 251
Blog Entries: 1

Rep: Reputation: 91
Quote:
Originally Posted by AlleyTrotter View Post
openjdk fails to build in current.
looking for jar or fastjar
With Oracle JDK installed, this error was solved.

However, then the build failed with:
Code:
checking for a JDK home directory... /usr/lib64/jvm
configure: error: "A JDK home directory could not be found. Try specifying one using --with-jdk-home=<DIR>"
In ‘openjdk.SlackBuild’, I edited the “BOOT_JAVA” setting as follows:
Code:
BOOT_JAVA=/usr/lib${LIBDIRSUFFIX}/java
The next error was:
Code:
checking attr/xattr.h usability... no
checking attr/xattr.h presence... no
checking for attr/xattr.h... no
configure: error: Could not find required system headers; install the appropriate files from glibc-headers, libc6-dev and/or libattr-devel, libattr1-dev or use --disable-compile-against-syscalls if necessary.
Since I had no idea what else I could do, I added the “--disable-compile-against-syscalls” option to the “configure” command line in the SlackBuild script.
Still no success:
Code:
BUILD FAILED
/tmp/SBo/openjdk/icedtea-build/openjdk-boot/langtools/make/build.xml:659: java.lang.NoSuchMethodError: com.sun.tools.javac.tree.JCTree$JCLiteral.<init>(ILjava/lang/Object;)V
	at GenStubs$StubMaker$9.<init>(Unknown Source)
	at GenStubs$StubMaker.visitVarDef(Unknown Source)
	at com.sun.tools.javac.tree.JCTree$JCVariableDecl.accept(JCTree.java:852)
	at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
	at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:70)
	at com.sun.tools.javac.tree.TreeTranslator.visitClassDef(TreeTranslator.java:134)
	at com.sun.tools.javac.tree.JCTree$JCClassDecl.accept(JCTree.java:693)
	at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
	at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:70)
	at com.sun.tools.javac.tree.TreeTranslator.visitTopLevel(TreeTranslator.java:120)
	at GenStubs$StubMaker.visitTopLevel(Unknown Source)
	at com.sun.tools.javac.tree.JCTree$JCCompilationUnit.accept(JCTree.java:518)
	at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
	at GenStubs$StubMaker.translate(Unknown Source)
	at GenStubs.makeStub(Unknown Source)
	at GenStubs.run(Unknown Source)
	at GenStubs$Ant.execute(Unknown Source)
	at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
	at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:99)
	at org.apache.tools.ant.Task.perform(Task.java:350)
	at org.apache.tools.ant.Target.execute(Target.java:449)
	at org.apache.tools.ant.Target.performTasks(Target.java:470)
	at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1388)
	at org.apache.tools.ant.Project.executeTarget(Project.java:1361)
	at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
	at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
	at org.apache.tools.ant.Main.runBuild(Main.java:834)
	at org.apache.tools.ant.Main.startAnt(Main.java:223)
	at org.apache.tools.ant.launch.Launcher.run(Launcher.java:284)
	at org.apache.tools.ant.launch.Launcher.main(Launcher.java:101)

Total time: 13 seconds
gmake[3]: *** [Makefile:206: build] Error 1
gmake[3]: Leaving directory '/tmp/SBo/openjdk/icedtea-build/openjdk-boot/langtools/make'
gmake[2]: *** [make/langtools-rules.gmk:39: langtools-build] Error 2
gmake[2]: Leaving directory '/tmp/SBo/openjdk/icedtea-build/openjdk-boot'
gmake[1]: *** [Makefile:251: build_product_image] Error 2
gmake[1]: Leaving directory '/tmp/SBo/openjdk/icedtea-build/openjdk-boot'
make: *** [Makefile:2742: stamps/icedtea-boot.stamp] Error 2
I’m afraid I’m out of ideas now.

EDIT: At first glance, it appears to me that the JDK11 SlackBuilds (i.e., ‘adoptopenjdk’ and ‘zulu-openjdk-lts’) should build successfully. They only support 64-bit systems, though. I will look into these later.

Last edited by luvr; 03-01-2019 at 09:45 AM.
 
Old 03-01-2019, 09:34 AM   #1707
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,761

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by brobr View Post
SBo version for irqbalance (v1.0.9) crashed my -current system under load; upgrading to the more recent v1.5.0 of irqbalance does not.
can you get in touch with the maintainer and ask him if he's willing to update it on SBo?
I'm pretty sure that also 14.2 user will benefit of the newer version...
 
Old 03-01-2019, 09:35 AM   #1708
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,761

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by luvr View Post
I’m afraid I’m out of ideas now.
Quote:
Originally Posted by ponce View Post
in case it doesn't work, please try getting in touch with the openjdk{,6,8} maintainer.
---
 
Old 03-01-2019, 10:00 AM   #1709
luvr
Member
 
Registered: May 2005
Location: Boom - The Home Town of Tomorrowland, Belgium
Distribution: Slackware, Debian, Xubuntu
Posts: 251
Blog Entries: 1

Rep: Reputation: 91
Quote:
Originally Posted by ponce View Post
Quote:
Originally Posted by luvr View Post
I’m afraid I’m out of ideas now.
in case it doesn't work, please try getting in touch with the openjdk{,6,8} maintainer.
Well, yes, but I was still in the process of evaluating the “in case it doesn't work” branch…
 
Old 03-01-2019, 02:53 PM   #1710
AlleyTrotter
Member
 
Registered: Jun 2002
Location: Coal Township PA
Distribution: Slackware64-14.2 (5.1.5) UEFI enabled (LFS-8.4 when Slackware becomes too easy)
Posts: 534

Rep: Reputation: 192Reputation: 192
I thought compilers (like Rust or Java) were required to build themselves in Slackware.
Why do we need Oracle Java installed to build openjdk java?
Or did I miss something?
john
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:12 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration